diagrams-lib-0.7.1.1: Embedded domain-specific language for declarative graphics

Maintainer | diagrams-discuss@googlegroups.com
Safe Haskell | Safe-Inferred

Diagrams.Solve

Description

Exact solving of low-degree (n <= 3) polynomials.

Synopsis

- quadForm :: (Floating d, Ord d) => d -> d -> d -> [d]
- cubForm :: (Floating d, Ord d) => d -> d -> d -> d -> [d]

# Documentation

quadForm :: (Floating d, Ord d) => d -> d -> d -> [d]Source

The quadratic formula.

cubForm :: (Floating d, Ord d) => d -> d -> d -> d -> [d]Source

Solve the cubic equation ax^3 + bx^2 + cx + d = 0, returning a list of all real roots.